Subject: bug#6463: closed (Re: bug#6463: "prepend" font-locking not working when an sh-mode buffer is opened for the first time)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 29 Jun 2010 16:21:02 +0000

Your bug report

#6463: "prepend" font-locking not working when an sh-mode buffer is opened  for the first time

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6463: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6463
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6463: "prepend" font-locking not working when an sh-mode buffer is opened for the first time
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Tue, 29 Jun 2010 12:20:46 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Since I cannot reproduce this and no further information has been
provided, I am closing this.

Please do respond if you have a recipe for reproducing it.

You can reply any time in the next 28 days (or indeed after that if
you follow the instructions about unarchiving bugs.)

Subject: "prepend" font-locking not working when an sh-mode buffer is opened for the first time
From: Ken Hori <[email-masked]>
To: [email-masked]
Date: Fri, 18 Jun 2010 21:53:41 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

"prepend" font-lock keyword entries for sh-mode don't render as they
are intended
when I open an sh-mode buffer for the first time.

If I close the buffer and open it again, everything works fine.

Example:
("##+ \\(.+\\)$" 1 some-face prepend)
won't render correctly.